ALTER TABLE `setting` ADD `id_language` TINYINT UNSIGNED NOT NULL AFTER `key`;

ALTER TABLE `setting` CHANGE `id_language` `id_language` TINYINT(3) UNSIGNED NULL DEFAULT NULL;
update setting set `id_language` = NULL;
ALTER TABLE `setting` ADD INDEX(`id_language`);
ALTER TABLE `setting` ADD FOREIGN KEY (`id_language`) REFERENCES `language`(`id_language`) ON DELETE CASCADE ON UPDATE RESTRICT;

ALTER TABLE `setting` DROP PRIMARY KEY;
ALTER TABLE `setting` ADD PRIMARY KEY( `key`, `id_language`);

ALTER TABLE `setting` DROP FOREIGN KEY `setting_ibfk_1`;
ALTER TABLE setting DROP INDEX id_language;

ALTER TABLE `setting` DROP `id_language`;


CREATE TABLE `setting_translation` (
  `key` varchar(255) NOT NULL,
  `id_language` tinyint(3) unsigned NOT NULL,
  `value` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `setting_translation`
--
ALTER TABLE `setting_translation`
 ADD PRIMARY KEY (`key`,`id_language`), ADD KEY `id_language` (`id_language`);

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `setting_translation`
--
ALTER TABLE `setting_translation`
ADD CONSTRAINT `setting_translation_ibfk_2` FOREIGN KEY (`id_language`) REFERENCES `language` (`id_language`) ON DELETE CASCADE,
ADD CONSTRAINT `setting_translation_ibfk_1` FOREIGN KEY (`key`) REFERENCES `setting` (`key`) ON DELETE CASCADE;


INSERT INTO `setting` (`key`, `value`) VALUES ('meta.title', ''), ('meta.keywords', ''), ('meta.description', '');

INSERT INTO `setting_translation` (`key`, `id_language`, `value`) VALUES ('meta.title', '2', 'RiseNet CMS - Darmowy system CMS'), ('meta.keywords', '2', 'cms, system, zarządzania, treścią, content management system, polski cms, darmowy, elastyczny, mobilny, bez ograniczeń'), ('meta.description', '2', 'RiseNet to darmowy system CMS napisany w języku PHP, zaprojektowany z myślą o wygodzie i dalszym dostosowaniu do unikalnych potrzeb.');



