ALTER TABLE `database_changelog` ADD `type` INT(2) NOT NULL DEFAULT '1' COMMENT '1 - database, 2 - translation, 3 - translation_last_import/export' ;
INSERT INTO `database_changelog` (`id_database_changelog`, `module`, `executed_at`, `type`) VALUES ('translation_last_import', '', CURRENT_TIMESTAMP, '3');
INSERT INTO `database_changelog` (`id_database_changelog`, `module`, `executed_at`, `type`) VALUES ('translation_last_export', '', CURRENT_TIMESTAMP, '3');

ALTER TABLE `label` ADD `module` VARCHAR(255) NOT NULL ;
UPDATE `label` AS `p` SET `module`=(SELECT `module` FROM `label_translation` AS `t` WHERE `t`.`id_label` = `p`.`id_label` AND `t`.`id_language` = 2);
ALTER TABLE `label_translation` DROP `module`;

ALTER TABLE `label` ADD `from_import` BOOLEAN NOT NULL DEFAULT FALSE ;