ALTER TABLE `setting_translation` DROP FOREIGN KEY `setting_translation_ibfk_1`;
ALTER TABLE `setting_translation` DROP FOREIGN KEY `setting_translation_ibfk_2`;

ALTER TABLE `setting` DROP PRIMARY KEY;
ALTER TABLE `setting` ADD `id_setting` INT NOT NULL AUTO_INCREMENT FIRST, ADD PRIMARY KEY (`id_setting`) ;

ALTER TABLE `setting_translation` ADD `id_setting` INT NOT NULL FIRST;

-- update
UPDATE `setting_translation` SET `id_setting` = (SELECT `id_setting` FROM `setting` WHERE `key` = `setting_translation`.`key`);

-- drop key
ALTER TABLE `setting_translation` DROP PRIMARY KEY;
ALTER TABLE `setting_translation` DROP `key`;

-- primary key
ALTER TABLE `setting_translation` ADD INDEX(`id_setting`);
ALTER TABLE `setting_translation` ADD PRIMARY KEY (`id_setting`, `id_language`);

-- relation
ALTER TABLE `setting_translation` ADD CONSTRAINT `setting_translation_ibfk_1` FOREIGN KEY (`id_setting`) REFERENCES `setting`(`id_setting`) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE `setting_translation` ADD CONSTRAINT `setting_translation_ibfk_2` FOREIGN KEY (`id_language`) REFERENCES `language`(`id_language`) ON DELETE CASCADE ON UPDATE RESTRICT;
