ALTER TABLE `acl_resource` DROP FOREIGN KEY `acl_resource_ibfk_1`;

RENAME TABLE acl_resource TO acl_resource_item;
ALTER TABLE `acl_resource_item` CHANGE `id_acl_resource` `id_acl_resource_item` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `acl_resource_item` CHANGE `id_acl_privilege` `id_acl_resource` INT(10) UNSIGNED NULL DEFAULT NULL;


ALTER TABLE `acl_privilege` DROP FOREIGN KEY `acl_privilege_ibfk_1`;

RENAME TABLE acl_privilege TO acl_resource;
ALTER TABLE `acl_resource` CHANGE `id_acl_privilege` `id_acl_resource` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT;

ALTER TABLE `acl_resource` ADD FOREIGN KEY (`id_parent`) REFERENCES `acl_resource`(`id_acl_resource`) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE `acl_resource_item` ADD FOREIGN KEY (`id_acl_resource`) REFERENCES `acl_resource`(`id_acl_resource`) ON DELETE SET NULL ON UPDATE RESTRICT;

ALTER TABLE `acl_resource_item` DROP `id_parent`;

