<?php

/**
 * Created by PhpStorm.
 * User: Dawid Przygodzki
 * Date: 2015-07-23
 * Time: 15:52
 */
class Admin_QueryController extends Base_Controller_Action_Cms
{
    public function deleteAction()
    {
        $query = Query::findRecordAll($this->_getParam('id_query'));
        $this->forward403Unless($query);

        $query->delete();

        $this->_flash()->success->addMessage('label_cms_delete_success');
        $this->_redirector()->gotoUrlAndExit($this->_getReturnUrl());
    }

    private function _getReturnUrl()
    {
        $url = null;
        if($this->getParam('return')){ $url = $this->getParam('return');}
        elseif(isset($_SERVER['HTTP_REFERER'])){ $url = $_SERVER['HTTP_REFERER']; }
        if(empty($url)){ $url = Base::url('admin'); }

        return $url;
    }

}