<?php

class Admin_Form_Label_Import extends Base_Form_Horizontal
{

    public function init()
    {
        $fields = array();

        $fields['file'] = $this->createElement( 'file', 'file', array(
            'label' => $this->_tlabel.'file',
            'required' => true,
            'allowEmpty' => false,
            'validators' => array(
                array('Extension', true, 'csv')
            )
        ));

        $fields['submit'] = $this->createElement('submit', 'submit', array(
            'label' => 'cms_button_load',
        ));

        $this->addDisplayGroup($fields, 'main', array(
            'legend' => $this->_tlabel.'group_std',
        ));
    }

}