<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('admin_developer', new Zend_Controller_Router_Route(
    '/@admin/@developer',
    array(
        'module' => 'admin',
        'controller' => 'developer',
        'action' => 'index',
    )
));

$router->addRoute('admin_developer_adminer', new Zend_Controller_Router_Route(
    '/@admin/@developer/@adminer',
    array(
        'module' => 'admin',
        'controller' => 'developer',
        'action' => 'adminer',
    )
));

$router->addRoute('admin_developer_start-adminer', new Zend_Controller_Router_Route(
    '/@admin/@developer/@start-adminer',
    array(
        'module' => 'admin',
        'controller' => 'developer',
        'action' => 'start-adminer',
    )
));

$router->addRoute('admin_developer_create-layouts-from-base', new Zend_Controller_Router_Route(
    '/@admin/@developer/@create-layouts-from-base',
    array(
        'module' => 'admin',
        'controller' => 'developer',
        'action' => 'create-layouts-from-base'
    )
));

$router->addRoute('admin_developer_create-layout', new Zend_Controller_Router_Route(
    '/@admin/@developer/@create-layout',
    array(
        'module' => 'admin',
        'controller' => 'developer',
        'action' => 'create-layout'
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);


