<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('admin_widget_list', new Zend_Controller_Router_Route(
    '/@admin/@widget/@list',
    array(
        'module' => 'admin',
        'controller' => 'widget',
        'action' => 'list',
    )
));

$router->addRoute('admin_widget_list_dashboard', new Zend_Controller_Router_Route(
    '/@admin/@widget/@list/@dashboard',
    array(
        'module' => 'admin',
        'controller' => 'widget',
        'action' => 'list-dashboard',
    )
));

$router->addRoute('admin_widget_get', new Zend_Controller_Router_Route(
    '/@admin/@widget/@get/:namespace/:widget',
    array(
        'module' => 'admin',
        'controller' => 'widget',
        'action' => 'get',
    ),
    array(
        'namespace' => '.*',
        'widget' => '.*'
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);


