<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Marek Skotarek
 * Date: 07.07.2013
 * Time: 03:23
 * To change this template use File | Settings | File Templates.
 */

class Auth_Form_ChangePass extends Base_Form_Horizontal {

    protected $_belong_to = "AuthFormChangePass";

    protected $_tlabel = "auth_form_change_pass_";

    public function init()
    {
        // set validators
        $vStringLength = new Zend_Validate_StringLength(array('min' => 6, 'max' => 20));
        $vIdentical = new Zend_Validate_Identical('password');

        $fields = array();

        $fields['password'] = $this->createElement('password', 'password', array(
            'label' => $this->_tlabel.'password',
            'allowEmpty' => false,
            'required' => true,
            'filters' => array('StringTrim'),
            'validators' => array(
                array('NotEmpty', true),
                array($vStringLength, true)
            )
        ));

        $fields['password_repeat'] = $this->createElement('password', 'password_repeat', array(
            'label' => $this->_tlabel.'password_repeat',
            'allowEmpty' => false,
            'required' => true,
            'filters' => array('StringTrim'),
            'validators' => array(
                array('NotEmpty', true),
                array($vStringLength, true),
                array($vIdentical, true),
            )
        ));

        $fields['submit'] = $this->createElement('submit', 'submit', array(
            'label' => $this->_tlabel.'submit',
        ));

        $this->addDisplayGroup(
            $fields,
            'main',
            array(
                'legend' => $this->_tlabel.'group_user_info'
            )
        );
    }
}