ALTER TABLE `image` CHANGE `class_name` `channel` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE `image` ADD `object` INT UNSIGNED NULL DEFAULT NULL AFTER `type`;
UPDATE image SET `object`=`object_id`;
ALTER TABLE `image` DROP `object_id`;
ALTER TABLE `image` CHANGE `object` `object_id` INT( 10 ) UNSIGNED NULL DEFAULT NULL;

ALTER TABLE `image` DROP `name`;



--
-- Struktura tabeli dla tabeli `image_translation`
--

CREATE TABLE IF NOT EXISTS `image_translation` (
  `id_image` int(10) unsigned NOT NULL,
  `id_language` tinyint(3) unsigned NOT NULL,
  `title` text NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id_image`,`id_language`),
  KEY `id_language` (`id_language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `image_translation`
--
ALTER TABLE `image_translation`
  ADD CONSTRAINT `image_translation_ibfk_2` FOREIGN KEY (`id_language`) REFERENCES `language` (`id_language`) ON DELETE CASCADE,
  ADD CONSTRAINT `image_translation_ibfk_1` FOREIGN KEY (`id_image`) REFERENCES `image` (`id_image`) ON DELETE CASCADE;


DELETE FROM `acl_resource` WHERE `name` LIKE '%service%';



