--
-- Struktura tabeli dla tabeli `navigation`
--

CREATE TABLE IF NOT EXISTS `navigation` (
  `id_navigation` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY (`id_navigation`),
  UNIQUE KEY `key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `navigation_translation`
--

CREATE TABLE IF NOT EXISTS `navigation_translation` (
  `id_navigation` smallint(5) unsigned NOT NULL,
  `id_language` tinyint(3) unsigned NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY (`id_navigation`,`id_language`),
  KEY `id_language` (`id_language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `navigation_translation`
--
ALTER TABLE `navigation_translation`
  ADD CONSTRAINT `navigation_translation_ibfk_2` FOREIGN KEY (`id_language`) REFERENCES `language` (`id_language`),
  ADD CONSTRAINT `navigation_translation_ibfk_1` FOREIGN KEY (`id_navigation`) REFERENCES `navigation` (`id_navigation`) ON DELETE CASCADE;


