<?php

class Navigation_Form_Element_TreeItemParams extends Zend_Form_Element_Text
{

    public $helper = 'formTreeItemParams';

    /**
     * Adds a file decorator if no one found
     */
    public function loadDefaultDecorators()
    {
        $this->clearDecorators();

        $this->setDecorators(array(
            array('ViewHelper'),
            array('ElementErrors'),
            array('Description', array('tag' => 'span', 'class' => 'help-block')),
            array('FieldSize'),
            array('Label', array('class' => 'control-label')),
            array('WrapElement')
        ));

        return $this;
    }

}

