ALTER TABLE  `news` CHANGE  `id_news_category`  `id_news_category` INT( 10 ) UNSIGNED NULL DEFAULT NULL;

--
-- Struktura tabeli dla tabeli `news_comments`
--

CREATE TABLE `news_comments` (
  `id_news_comments` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_news` int(10) unsigned NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `is_active` tinyint(1) NOT NULL,
  `is_archive` tinyint(1) NOT NULL,
  PRIMARY KEY (`id_news_comments`),
  KEY `id_news` (`id_news`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Ograniczenia dla tabeli `news_comments`
--
ALTER TABLE `news_comments`
  ADD CONSTRAINT `news_comments_ibfk_1` FOREIGN KEY (`id_news`) REFERENCES `news` (`id_news`) ON DELETE CASCADE;


--
-- Struktura tabeli dla tabeli `news_comments_translation`
--

CREATE TABLE `news_comments_translation` (
  `id_news_comments` int(10) unsigned NOT NULL,
  `id_language` tinyint(3) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id_news_comments`,`id_language`),
  KEY `id_language` (`id_language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Ograniczenia dla tabeli `news_comments_translation`
--
ALTER TABLE `news_comments_translation`
  ADD CONSTRAINT `news_comments_translation_ibfk_2` FOREIGN KEY (`id_language`) REFERENCES `language` (`id_language`) ON DELETE CASCADE,
  ADD CONSTRAINT `news_comments_translation_ibfk_1` FOREIGN KEY (`id_news_comments`) REFERENCES `news_comments` (`id_news_comments`) ON DELETE CASCADE;

INSERT INTO  `setting` (
  `key` ,
  `value`
)
VALUES (
  'news.comments',  '1'
);

ALTER TABLE  `news_comments` ADD  `author` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER  `created_at`;
ALTER TABLE  `news_comments_translation` ADD  `lead` VARCHAR( 400 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER  `title`;
ALTER TABLE  `news_comments_translation` CHANGE  `lead`  `lead` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;