<?php
/**
 * Created by PhpStorm.
 * User: Dawid Przygodzki
 * Date: 2015-05-04
 * Time: 15:49
 */

class News_Form_Admin_Query extends Base_Form_Horizontal
{
    public function init()
    {
        $fields = array();

        $fields['title'] = $this->createElement('text', 'title', array(
            'label' => $this->_tlabel . 'title',
            'required' => true,
            'allowEmpty' => false,
            'filters' => array('StringTrim'),
            'validators' => array(
                array('NotEmpty', true),
                array('StringLength', true, array('max' => 255))
            ),
        ));

        $fields['submit'] = $this->createElement('submit', 'submit');

        $this->addDisplayGroup(
            array_merge($fields),
            'main',
            array(
                'legend' => $this->_tlabel.'main'
            )
        );
    }
} 