<?php
/**
 * Created by PhpStorm.
 * User: Dawid Przygodzki
 * Date: 2015-02-24
 * Time: 16:22
 */

$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('news_admin_comment_index', new Zend_Controller_Router_Route(
    '/@admin/@news/@comment/',
    array(
        'module' => 'news',
        'controller' => 'admin-comment',
        'action' => 'index'
    )
) );

$router->addRoute('news_admin_comment_show', new Zend_Controller_Router_Route(
    '/@admin/@news/@comment/@show/:id_news_comment',
    array(
        'module' => 'news',
        'controller' => 'admin-comment',
        'action' => 'show'
    ),
    array(
        'id_news_comment' => '\d+'
    )
) );

$router->addRoute('news_admin_comment_delete', new Zend_Controller_Router_Route(
    '/@admin/@news/@comment/@delete/:id_news_comment',
    array(
        'module' => 'news',
        'controller' => 'admin-comment',
        'action' => 'delete'
    ),
    array(
        'id_news_comment' => '\d+'
    )
) );

$router->addRoute('news_admin_comment_set_status', new Zend_Controller_Router_Route(
    '/@admin/@news/@comment/:id_news_comment/@status/:id_news_comment_status',
    array(
        'module' => 'news',
        'controller' => 'admin-comment',
        'action' => 'set-status'
    ),
    array(
        'id_news_comment' => '\d+',
        'id_news_comment_status' => '\d+'
    )
) );

Zend_Controller_Front::getInstance()->setRouter($router);
