<?php

class Page_ContactFormController extends Base_Controller_Action_Frontend
{

    public function indexAction()
    {
        $form = new Page_Form_Contact();

        if ( $this->_request->isPost()){
            if($form->isValid( $this->_request->getPost())){

                if($this->_request->isXmlHttpRequest()){
                    $returnData = array(
                        'html' => $this->view->render('contact-form/thx.phtml'),
                    );

                    $this->_helper->json($returnData);
                }else{
                    $this->_flash()->success->addMessage('label_page_contact_send-success');
                    $this->_redirector()->gotoRouteAndExit();
                }

            }elseif($this->_request->isXmlHttpRequest()){
                $this->_helper->json(array(
                    'html' => $form->render(),
                ));
            }
        }


        $this->view->formContact = $form;
    }


    public function thxAction()
    {
    }


}