<?php
/**
 * Created by PhpStorm.
 * User: RiseNet Robert
 * Date: 12.08.14
 * Time: 10:18
 */

class Page_Sitemap implements Base_Sitemap_Interface{

    /**
     * @var array
     */
    private $_data = array();

    private $_base;

    public function __construct()
    {
        $this->_base = PROTOCOL.'://'.DOMAIN;
    }


    public function getData()
    {
        $pageList = Page::getList();
        foreach($pageList as $page){
            if(empty($page['uri'])){
                $this->_data[] = array(
                    'loc' => $this->_base.Base::url('page', array(
                            'id_page' => $page['id_page'],
                        ))
                );
            }else{
                $this->_data[] = array(
                    'loc' => $this->_base.Base::url('page_'.$page['uri'])
                );
            }
        }


        return $this->_data;
    }



} 