<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('page_admin', new Zend_Controller_Router_Route(
	'/@admin/@page',
	array(
		'module' => 'page',
		'controller' => 'admin',
		'action' => 'index',
	)
));

$router->addRoute('page_admin_get-item', new Zend_Controller_Router_Route(
    '/@admin/@page/@get-item/:id_page',
    array(
        'module' => 'page',
        'controller' => 'admin',
        'action' => 'index',
        'id_page' => false,
        'mode' => 'get'
    ),
    array(
        'id_page' => '\d+'
    )
));

$router->addRoute('page_admin_new', new Zend_Controller_Router_Route(
    '/@admin/@page/new',
    array(
        'module' => 'page',
        'controller' => 'admin',
        'action' => 'new',
    )
));

$router->addRoute('page_admin_edit', new Zend_Controller_Router_Route(
    '/@admin/@page/edit/:id_page',
    array(
        'module' => 'page',
        'controller' => 'admin',
        'action' => 'edit',
    ),
    array(
        'id_page' => '\d+'
    )
));

$router->addRoute('page_admin_delete', new Zend_Controller_Router_Route(
    '/@admin/@page/delete/:id_page',
    array(
        'module' => 'page',
        'controller' => 'admin',
        'action' => 'delete',
    ),
    array(
        'id_page' => '\d+'
    )
));

$router->addRoute('page_admin_get-page-layout', new Zend_Controller_Router_Route(
    '/@admin/@page/get-page-layout',
    array(
        'module' => 'page',
        'controller' => 'admin',
        'action' => 'get-page-layout',
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);


