<?php
/**
 * Created by PhpStorm.
 * User: skotar
 * Date: 01.08.2014
 * Time: 12:28
 */

class Page_Widget_BoxClients extends Base_Widget_Abstract {

    public $name = 'Box';
    protected $_renderView = 'box-clients.phtml';

    public function getViewScriptsDir()
    {
        return __DIR__;
    }

    public function getRenderView()
    {
        return $this->_renderView;
    }

    public function configureForm()
    {
        $fields = array();

        $fields['title'] = $this->view->form->createElement('text', 'title', array(
            'label' => 'form-label_box-widget_title',
            'allowEmpty' => true,
            'required' => false,
            'filters' => array('StringTrim')
        ));

        $fields['id_box'] = $this->view->form->createElement('text', 'id_box', array(
            'label' => 'form-label_box-widget_id_box',
            'allowEmpty' => true,
            'required' => false,
            'filters' => array('StringTrim')
        ));

        $fields['renderView'] = $this->view->form->createElement('text', 'renderView', array(
            'label' => 'form-label_box-widget_renderView',
            'allowEmpty' => true,
            'required' => false,
            'filters' => array('StringTrim')
        ));

        $this->view->form->addElements($fields);
    }

    public function renderWidget()
    {
        $id_box = isset($this->params['id_box']) ? $this->params['id_box'] : null;
        $this->_renderView = isset( $this->params['renderView'] ) && !empty( $this->params['renderView'] ) ? $this->params['renderView'] : $this->_renderView;
        $this->params['title'] = isset( $this->params['title'] ) && !empty($this->params['title']) ? $this->params['title'] : '';

        $this->view->grid = 12;
    }
}