<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('text-page', new Zend_Controller_Router_Route(
    '/@text-page/:id_text_page',
    array(
        'module' => 'text-page',
        'controller' => 'index',
        'action' => 'index',
        'id_text_page' => null,
    ),
    array(
        'id_text_page' => '\d+'
    )
));

$pages = Doctrine_Query::create()
    ->select('id_text_page, id_language, title, uri')
    ->from('TextPageTranslation')
    ->where('uri != ""')
    ->fetchArray();

foreach($pages as $page){
    $router->addRoute('text-page_'.$page['uri'], new Zend_Controller_Router_Route(
        '/'.$page['uri'],
        array(
            'module' => 'text-page',
            'controller' => 'index',
            'action' => 'index',
            'id_text_page' => $page['id_text_page']
        )
    ));
}

Zend_Controller_Front::getInstance()->setRouter($router);


