ALTER TABLE `layout` ADD `is_dashboard` BOOLEAN NOT NULL DEFAULT FALSE , ADD `is_main` BOOLEAN NOT NULL DEFAULT FALSE ;

INSERT INTO `setting` (`id_setting`, `key`, `value`) VALUES (NULL, 'user.edit_dashboard_on', '1');

CREATE TABLE IF NOT EXISTS `user_dashboard` (
  `id_user` bigint(20) NOT NULL,
  `data_map` text NOT NULL,
  PRIMARY KEY (`id_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE `user_dashboard` ADD CONSTRAINT `user_dashboard_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `user`(`id_user`) ON DELETE CASCADE ON UPDATE RESTRICT;

-- layouts
INSERT INTO `layout` (`name`, `module`, `filename`, `placeholders`, `is_edit`, `is_dashboard`, `is_main`) VALUES
('', 'User', 'layout-dashboard-main', '{"left":{"widgets":[{"_class":"Admin_Widget_CmsDashboard_NavBox"}]},"right":{"widgets":[{"_class":"Admin_Widget_CmsDashboard_FacebookBox"}]},"left1":{"widgets":[{"_class":"Admin_Widget_CmsDashboard_SimplyChart"}]},"right1":{"widgets":[{"_class":"User_Widget_CmsDashboard_StatsUsers"}]},"left2":{"widgets":[{"_class":"User_Widget_CmsDashboard_LastActions"}]},"right2":{"widgets":[{"_class":"User_Widget_CmsDashboard_NewUsers"}]},"bottom":[]}', 1, 1, 1),
('', 'User', 'layout-dashboard-twice', '{"left":[],"right":[]}', 1, 1, 0),
('', 'User', 'layout-dashboard-diff', '{"top1":[],"top2":[],"top3":[],"top4":[],"left":[],"right":[],"bottom":[]}', 1, 1, 0);


