<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Marek Skotarek
 * Date: 30.06.2013
 * Time: 02:37
 * To change this template use File | Settings | File Templates.
 */

class User_Form_ResendActivate extends Base_Form_Horizontal {

    protected $_belong_to = "UserFormResendActivate";

    protected $_tlabel = "user_form_resend_activate_";

    public function init()
    {
        $fields = array();

        $fields['email'] = $this->createElement('text', 'email', array(
            'label' => $this->_tlabel.'email',
            'allowEmpty' => false,
            'required' => true,
            'filters' => array('StringTrim'),
            'validators' => array(
                array('NotEmpty', true),
                array('EmailAddress', true),
                array('RecordExists', true, array('model' => 'UserEmail', 'column' => 'email') )
            )
        ));

        $fields['submit'] = $this->createElement('submit', 'submit', array(
            'label' => $this->_tlabel.'submit',
            'class' => 'pull-right'
        ));

        $this->addDisplayGroup(
            $fields,
            'main',
            array(
                'legend' => $this->_tlabel.'group_user_info',
            )
        );
    }
}