<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Marek Skotarek
 * Date: 29.06.2013
 * Time: 19:16
 * To change this template use File | Settings | File Templates.
 */

$router = Zend_Controller_Front::getInstance()->getRouter();

// edit profile - name & surname
$router->addRoute('user_account_edit-profile', new Zend_Controller_Router_Route(
    '/@account/@edit_profile',
    array(
        'module' => 'user',
        'controller' => 'account',
        'action' => 'edit-profile'
    )
));

// change password
$router->addRoute('user_account_change-pass', new Zend_Controller_Router_Route(
    '/@account/@change_password',
    array(
        'module' => 'user',
        'controller' => 'account',
        'action' => 'change-pass'
    )
));

// manage emails
$router->addRoute('user_account_manage-emails', new Zend_Controller_Router_Route(
    '/@account/@manage_emails',
    array(
        'module' => 'user',
        'controller' => 'account',
        'action' => 'manage-emails'
    )
));

// confirm new email activate
$router->addRoute('user_account_confirm-new-email', new Zend_Controller_Router_Route(
    '/@account/@confirm_new_email/:hash/:email',
    array(
        'module' => 'user',
        'controller' => 'account',
        'action' => 'confirm-new-email'
    ),
    array(
        'hash' => '(.*)',
        'email' => '(.*)',
    )
));


Zend_Controller_Front::getInstance()->setRouter($router);