<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('user_admin_dashboard_edit', new Zend_Controller_Router_Route(
    '/@admin/@user/@dashboard/@edit',
    array(
        'module' => 'user',
        'controller' => 'admin-dashboard',
        'action' => 'edit',
    )
));

$router->addRoute('user_admin_dashboard_delete', new Zend_Controller_Router_Route(
    '/@admin/@user/@dashboard/@delete',
    array(
        'module' => 'user',
        'controller' => 'admin-dashboard',
        'action' => 'delete',
    )
));

$router->addRoute('user_admin_dashboard_get_user_layout', new Zend_Controller_Router_Route(
    '/@admin/@user/@dashboard/@get-user-layout',
    array(
        'module' => 'user',
        'controller' => 'admin-dashboard',
        'action' => 'get-user-layout',
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);

