<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('user_register', new Zend_Controller_Router_Route(
	'/@register',
	array(
		'module' => 'user',
		'controller' => 'register',
		'action' => 'index',
	)
));

$router->addRoute('user_register_thx', new Zend_Controller_Router_Route(
    '/@register/@thx',
    array(
        'module' => 'user',
        'controller' => 'register',
        'action' => 'thx',
    )
));

$router->addRoute('user_register_activate', new Zend_Controller_Router_Route(
    '/@register/@activate/:hash',
    array(
        'module' => 'user',
        'controller' => 'register',
        'action' => 'activate',
    ),
    array(
        'hash' => '(.*)',
    )
));

// resend activate link
$router->addRoute('user_register_resend-activate', new Zend_Controller_Router_Route(
    '/@resend_activate',
    array(
        'module' => 'user',
        'controller' => 'register',
        'action' => 'resend-activate'
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);


