$(document).ready(function(){

    $('.overbox').overbox();

    if($(document).fancybox){
        $('.reference_doc').fancybox();
    }

    $(function () {
        $('[data-toggle="tooltip"]').tooltip() // bootstrap tooltip
    })

    var headerContener = $('header');
    $(window).on('scroll', function(){
        var fromTop = $(this).scrollTop();
        if(fromTop > 400){
            headerContener.addClass('compact');
        }else{
            headerContener.removeClass('compact');
        }
    });


    //$('.nav li a').on('click', collapseMenu);
    $('.nav li a').on('click', smoothScroll);
    //$('.nav li a').on('click', activeClass);
    $('.smoothScroll').on('click', smoothScroll);


    if($(window).width() < 991){
        var brooklyn = new google.maps.LatLng(52.224701,20.990175);
    }
    else{
        var brooklyn = new google.maps.LatLng(52.225383,20.999828);
    }

    if($(window).width() < 753){
        var scrollnavheight = 60;

    }
    else{
        var scrollnavheight = 110;

    }

    var draggable = true;
    if($(window).width() < 767){
        var draggable = false;
    }


    var map;

    var mapOptions = {
        mapTypeControl: false,
        panControl: false,
        zoomControl: true,
        zoomControlOptions: {
            style: google.maps.ZoomControlStyle.LARGE,
            position: google.maps.ControlPosition.LEFT_TOP
        },
        scaleControl: false,
        overviewMapControl: false,
        streetViewControl: false,
        zoom: 16,
        scrollwheel: false,
        center: brooklyn,
        draggable: true,
        mapTypeControlOptions: {
            mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'risenet']
        }
    };

    var map_color = [{
        featureType: "all",
        elementType: "all",
        stylers: [{hue: "#0479BC"}, {saturation: -50}, {gamma: 1}, {visibility: "on"}, {lightness: 30}, {invert_lightness: false}]
    }],
    styledMapOptions = {name: "risenet"},
    maptype = new google.maps.StyledMapType(map_color, styledMapOptions);


    map = new google.maps.Map(document.getElementById("google-map"), mapOptions);

    map.mapTypes.set('risenet', maptype);
    map.setMapTypeId('risenet');

    var size = new google.maps.Size(107,48);
    var start_point = new google.maps.Point(0,0);
    var pin_point = new google.maps.Point(107,48);

    var icon = new google.maps.MarkerImage("/assets/frontend/default/img/icon-marker-2.png", size, start_point, pin_point);

    var position  = new google.maps.LatLng(52.224701,20.991000);
    var markerOptions =
    {
        position: position,
        map: map,
        icon: icon,
        title: "Tutaj jesteśmy!"
    }
    var marker = new google.maps.Marker(markerOptions);

});


//var activeClass = function()
//{
//    $('.nav li').removeClass('active');
//    $(this).parent().addClass('active');
//}

// Zakłuca działanie rozwijanego podmenu w głównym menu
//var collapseMenu = function()
//{
//    if($('#navbar-collapse-menu').hasClass('in') && $(window).width() <= 992){
//        $('#navbar-collapse-menu').collapse('hide');
//    }
//}


var smoothScroll = function()
{
    var href = $(this).attr('href').split('#');
    if(href[1]){
        var target = $("a[name='"+href[1]+"']");
        if(target){
            var top = target.offset().top - 100;
            if(top < 0){ top = 0; }

            $('body, html').animate({scrollTop:top}, 800);
            history.pushState({}, $(this).html(), "#"+href[1]);
            return false;
        }
    }

    return true;
}
