<?php
// kopiować do index.php
session_start();
define('ROOT_PATH', realpath(dirname(__FILE__).'/../' ) );

$_LANG['pl']['label_next'] = 'Dalej';
$_LANG['pl']['label_ignore'] = 'Ignoruj';
$_LANG['pl']['label_back'] = 'Wróć';
$_LANG['pl']['label_manual'] = 'Ręczna konfiguracja';
$_LANG['pl']['label_start'] = 'Uruchom stronę';
$_LANG['pl']['label_to'] = 'na';

$_LANG['pl']['start_title'] = 'Instalacja - Start';
$_LANG['pl']['start_text1'] = 'Witamy w instalatorze aplikacji RiseNet CMS. Instalator w kilku prostych krokach poprowadzi i skonfiguruję aplikacje do pierwszego uruchomienia. Wszystkie czynności zostaną wykonane automatycznie. Jeśli jednak z jakiś powodów któryś z kroków nie wykona się automatycznie, będziesz mógł go wykonać ręcznie korzystając z informacji podanych przy każdym z kroków.';
$_LANG['pl']['start_licence'] = 'Kontynuując instalację akceptujesz warunki udzielonej <a href="http://risenet-cms.pl/licencja" target="_blank">licencji</a>';

$_LANG['pl']['check_title'] = 'Uprawnienia zapisu';
$_LANG['pl']['check_no-access'] = 'Instalator nie uzyskał dostęp do zapisu dla następujących katalogów lub plików:';
$_LANG['pl']['check_text1'] = 'Dostęp do zapisu przez aplikację dla wyżej wymienionych katalogów jest wymagany dla prawidłowego jej działania.';

$_LANG['pl']['db_title'] = 'Konfiguracja bazy danych';
$_LANG['pl']['db_form_host'] = 'Host';
$_LANG['pl']['db_form_name'] = ' Nazwa bazy';
$_LANG['pl']['db_form_user'] = 'Użytkownik';
$_LANG['pl']['db_form_pass'] = 'Hasło';
$_LANG['pl']['db_manual_1'] = 'Wprowadź ustawienia bazy danych podmieniając następujące wartości w pliku';
$_LANG['pl']['db_manual_1_user'] = 'nazwę użytkownika';
$_LANG['pl']['db_manual_1_pass'] = 'hasło użytkownika';
$_LANG['pl']['db_manual_1_host'] = 'host bazy danych';
$_LANG['pl']['db_manual_1_name'] = 'nazwa bazy danych';
$_LANG['pl']['db_manual_2'] = 'Wgraj bazę danych z pliku';
$_LANG['pl']['db_error_file'] = 'Instalator nie uzyskał dostępu do zapisu dla następującego pliku';
$_LANG['pl']['db_error_connection'] = 'Instalator nie uzyskał dostępu do bazy danych';
$_LANG['pl']['db_error_nosqlfile'] = 'Instalator nie mógł załadować bazy danych.';
$_LANG['pl']['db_error_please'] = 'Prosimy o ręczną konfiguracje bazy danych.';

$_LANG['pl']['user_title'] = 'Konto administratora';
$_LANG['pl']['user_form_email'] = 'Login (e-mail)';
$_LANG['pl']['user_form_pass'] = 'Hasło';
$_LANG['pl']['user_form_repeatpass'] = 'Powtórz hasło';
$_LANG['pl']['user_form_manual_1'] = 'Możesz pominąć ten krok. Aplikacja domyślnie posiada konto administratora na które możesz się zalogować bezpośrednio po zainstalowaniu aplikacji. Po zalogowaniu się zalecamy zmianę adresu e-mail oraz hasła za pomocą dostępnych narzędzi.';
$_LANG['pl']['user_form_manual_2'] = 'Dane do logowania:';
$_LANG['pl']['user_form_manual_email'] = 'E-mail';
$_LANG['pl']['user_form_manual_pass'] = 'Hasło';
$_LANG['pl']['user_form_manual_admin'] = 'Panel administracyjny';
$_LANG['pl']['user_error_email'] = 'Proszę podać poprawny adres e-mail.';
$_LANG['pl']['user_error_pass'] = 'Podanie hasła jest wymagane.';
$_LANG['pl']['user_error_pass-repeat'] = 'Podanie hasła są różne.';
$_LANG['pl']['user_error_db'] = 'Brak połączenia z bazą danych. Wróć do kroku dotyczącego <a href="index.php?step=db">konfiguracji bazy danych</a>';
$_LANG['pl']['user_error_email-isset'] = 'Konto o podanym adresie e-mail już istnieje. Proszę podać inny adres e-mail';

$_LANG['pl']['copy_title'] = 'Zakończenie instalacji';
$_LANG['pl']['copy_text_1'] = 'Instalator nie mógł zakończyć instalacji';
$_LANG['pl']['copy_text_2'] = 'Instalator wymaga dostępu do zapisu dla następujących plików:';
$_LANG['pl']['copy_manual_1'] = 'W pliku %s podmień wartości:';
$_LANG['pl']['copy_manual_2'] = 'Usuń plik: %s';
$_LANG['pl']['copy_manual_3'] = 'Utwórz nowy plik %s, wpisując zawartość: ';

$_LANG['pl']['end_title'] = 'Instalacja zakończona';
$_LANG['pl']['end_text_1'] = 'GRATULACJE - Instalacja aplikacji została zakończona';
$_LANG['pl']['end_text_2'] = 'Kliknij przycisk "Uruchom aplikację", aby zobaczyć główny ekran Twojej strony';



$_LANG['en']['label_next'] = 'Next';
$_LANG['en']['label_ignore'] = 'Ignore';
$_LANG['en']['label_back'] = 'Back';
$_LANG['en']['label_manual'] = 'Manual configuration';
$_LANG['en']['label_start'] = 'Start page';
$_LANG['en']['label_to'] = 'to';

$_LANG['en']['start_title'] = 'Installation - Start';
$_LANG['en']['start_text1'] = 'Welcome to the installer application RiseNet CMS. Setup in a few simple steps will lead and will configure the applications to the first run. All operations will be performed automatically. However, if for some reason one of the steps will not perform automatically, you can do it manually using the information provided at each of the steps.';
$_LANG['en']['start_licence'] = 'Continuing the installation accept the terms of the <a href="http://risenet-cms.pl/licencja" target="_blank">license</a>';

$_LANG['en']['check_title'] = 'Write permissions';
$_LANG['en']['check_no-access'] = 'Application did not get write access to the following directories or files:';
$_LANG['en']['check_text1'] = 'Write access by the application to the above-mentioned directories is required for its correct operation.';

$_LANG['en']['db_title'] = 'Database configuration';
$_LANG['en']['db_form_host'] = 'Host';
$_LANG['en']['db_form_name'] = ' Database name';
$_LANG['en']['db_form_user'] = 'User name';
$_LANG['en']['db_form_pass'] = 'Password';
$_LANG['en']['db_manual_1'] = 'Enter the database settings by replacing the following values ​​in the file';
$_LANG['en']['db_manual_1_user'] = 'user name';
$_LANG['en']['db_manual_1_pass'] = 'user password';
$_LANG['en']['db_manual_1_host'] = 'host';
$_LANG['en']['db_manual_1_name'] = 'database name';
$_LANG['en']['db_manual_2'] = 'Load the database file';
$_LANG['en']['db_error_file'] = 'Installer does not get write access to the following file';
$_LANG['en']['db_error_connection'] = 'Installer does not access the database';
$_LANG['en']['db_error_nosqlfile'] = 'Installer could not load the database from file';
$_LANG['en']['db_error_please'] = 'Please manual configuration database.';

$_LANG['en']['user_title'] = 'Administrator Account';
$_LANG['en']['user_form_email'] = 'Login (e-mail)';
$_LANG['en']['user_form_pass'] = 'Password';
$_LANG['en']['user_form_repeatpass'] = 'Repeat password';
$_LANG['en']['user_form_manual_1'] = 'You can skip this step. The application has a default administrator account. You can login directly after installing the application. After login, we recommend you change your e-mail address and password using available tools.';
$_LANG['en']['user_form_manual_2'] = 'Email and password to login:';
$_LANG['en']['user_form_manual_email'] = 'E-mail';
$_LANG['en']['user_form_manual_pass'] = 'Password';
$_LANG['en']['user_form_manual_admin'] = 'Administration panel';
$_LANG['en']['user_error_email'] = 'Please enter a valid e-mail address.';
$_LANG['en']['user_error_pass'] = 'Password is required.';
$_LANG['en']['user_error_pass-repeat'] = 'Passwords are different.';
$_LANG['en']['user_error_db'] = 'No connection to the database. Return to step on <a href="index.php?step=db">the configuration database</a>';
$_LANG['en']['user_error_email-isset'] = 'Account with e-mail address already exists. Please enter a different e-mail';

$_LANG['en']['copy_title'] = 'Completing the Installation';
$_LANG['en']['copy_text_1'] = 'Installer was unable to complete the installation';
$_LANG['en']['copy_text_2'] = 'Installer requires write access to the following files:';
$_LANG['en']['copy_manual_1'] = 'In the file %s switch the value:';
$_LANG['en']['copy_manual_2'] = 'Delete the file: %s';
$_LANG['en']['copy_manual_3'] = 'Create a new file %s, typing content: ';

$_LANG['en']['end_title'] = 'Installation complete';
$_LANG['en']['end_text_1'] = 'CONGRATULATIONS - Application installation has been completed';
$_LANG['en']['end_text_2'] = 'Click "Start page" to see the main page of your site';



if(!isset($_SESSION['lang'])){ $_SESSION['lang'] = 'en'; }
if(isset($_GET['lang'])){ $_SESSION['lang'] = $_GET['lang']; }

$install = new Install();
$step = @$_GET['step'];
if(empty($step)){ $step = 'lang'; }

$install->{$step.'Step'}();





function lang($label)
{
    global $_LANG;
    return isset($_LANG[$_SESSION['lang']][$label]) ? $_LANG[$_SESSION['lang']][$label] : $label;
}

class Install {

    public function __construct(){}


    private $db_file = '/application/config/database.php';
    private $sql_file = '/application/data/_sql.sql';
    private $regexp_email = "/^([[:alnum:]]([[:alnum:]_\.:-])?)+@([[:alnum:]][[:alnum:]_\.:-]+[[:alnum:]]\.)?((([[:alnum:]]([[:alnum:]_\.:-]{1,59})?[[:alnum:]])|[[:alnum:]])\.)([a-z]{2,4}|[0-9]{1,3})$/i";
    private $error = false;



    public function langStep()
    {
        $this->langStepView();
    }


    private function langStepView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading">Select language</h2>

        <br/>
        <div class="text-center">
            <a href="index.php?step=start&lang=en"><img src="/assets/img/flags/en.gif"> english</a>
            <a href="index.php?step=start&lang=pl" style="margin-left: 50px;"><img src="/assets/img/flags/pl.gif"> polski</a>
        </div>
        <br/>


        <div class="clearfix"></div>

        <?=$this->footerView()?>
    <?php
    }


    public function startStep()
    {
        $this->startStepView();
    }


    public function copyStep()
    {
        $rand = microtime().rand(1,1000);
        $this->params['dev'] = array(
            '$$COOKIE_DEV$$' => hash('md5', $rand).'_dev',
            '$$COOKIE_NOCACHE$$' => hash('md5', $rand).'_nocache',
            '$$COOKIE_ZFDEBUG$$' => hash('md5', $rand).'_zfdebug',
            '$$DOMAIN$$' => '',
        );

        $this->params['files'] = array(
            'application/config/config.php' => 0,
            'public/index.php' => 0,
        );


        foreach($this->params['files'] as $file => &$access){
            $access = (int) is_writable(ROOT_PATH.'/'.$file);
        }

        if(array_search('0', $this->params['files'])){
            $this->error = true;
        }

        if(!$this->error){
            $content_config = file_get_contents(ROOT_PATH.'/application/config/config.php');
            $content_config = str_replace(array_keys($this->params['dev']), array_values($this->params['dev']), $content_config);
            file_put_contents(ROOT_PATH.'/application/config/config.php', $content_config);

            $content_index = '<?php require_once "start.php";';
            file_put_contents(ROOT_PATH.'/public/index.php', $content_index);
        }


        if($this->error){ $this->copyStepView(); }
        else{ $this->endStepView(); }
    }


    private function endStepView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading"><?=lang('end_title')?></h2>
        <h5 class="form-heading">
            <div class="progress">
                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 100%;"></div>
            </div>
        </h5>

        <div class="alert alert-success">
            <p><strong><?=lang('end_text_1')?></strong></p>
            <?=lang('end_text_2')?>
        </div>

        <br/><br/>

        <a href="index.php?step=user" class="btn pull-left"><i class="glyphicon glyphicon-chevron-left"></i> <?=lang('label_back')?></a>
        <a href="/" class="btn btn-success pull-right"><?=lang('label_start')?><i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></a>
        <div class="clearfix"></div>

        <?=$this->footerView()?>
    <?php
    }

    private function copyStepView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading"><?=lang('copy_title')?></h2>
        <h5 class="form-heading">
            <div class="progress">
                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 90%;"></div>
            </div>
        </h5>

        <p class="alert alert-error"><?=lang('copy_text_1')?></p>
        <p><?=lang('copy_text_2')?></p>

        <ul>
            <?php foreach($this->params['files'] as $file => $access): ?>
                <li><?=$file?></li>
            <?php endforeach; ?>
        </ul>

        <br/><br/>

        <a href="index.php?step=user" class="btn pull-left"><i class="glyphicon glyphicon-chevron-left"></i> <?=lang('label_back')?></a>
        <a href="/" class="btn btn-danger pull-right"><?=lang('label_ignore')?>  <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></a>
        <div class="clearfix"></div>

        <hr/>

        <h5><?=lang('label_manual')?></h5>

        <ol>
            <li><?=sprintf(lang('copy_manual_1'), '<span class="text-info">/application/config/config.php</span>')?>:
                <ul style="margin-top: 10px; margin-bottom: 10px;">
                    <?php foreach($this->params['dev'] as $k => $v): ?>
                        <li><strong><?=$k?></strong> <?=lang('label_to')?>: <code><?=$v?></code></li>
                    <?php endforeach; ?>
                </ul>
            </li>
            <li><?=sprintf(lang('copy_manual_2'), '<span class="text-info">/public/index.php</span>')?></li>
            <li>
                <?=sprintf(lang('copy_manual_3'), '<span class="text-info">/public/index.php</span>')?>
                <pre>&lt;?php require_once "start.php";</pre>


            </li>
        </ol>


        <?=$this->footerView()?>
    <?php
    }


    public function userStep()
    {
        $this->params = array(
            'user_email' => @$_POST['user_email'],
            'user_pass' => @$_POST['user_pass'],
            'user_pass_repeat' => @$_POST['user_pass_repeat'],
        );

        if($_SERVER['REQUEST_METHOD'] == 'POST'){

            if(!preg_match( $this->regexp_email, $this->params['user_email'])) {
                $this->error = lang('user_error_email');
            }

            if(empty($this->params['user_pass']) || empty($this->params['user_pass_repeat'])){
                $this->error = lang('user_error_pass');
            }

            if($this->params['user_pass'] != $this->params['user_pass_repeat']){
                $this->error = lang('user_error_pass-repeat');
            }

            if(!$this->error){
                include ROOT_PATH.'/library/Doctrine.php';
                $database = include ROOT_PATH.$this->db_file;

                try {
                    preg_match('/(.*):\/\/(.*):(.*)@(.*)\/(.*)/',$database['connection'], $db);
                    $dsn = $db['1'].':dbname='.$db['5'].';host='.$db['4'];
                    $db_user = $db['2'];
                    $db_pass = $db['3'];
                    $this->db_connection = new PDO($dsn, $db_user, $db_pass);
                } catch (PDOException $e) {
                    $this->error = lang('user_error_db');
                }
            }

            if(!$this->error){
                $sql_check = 'SELECT id_user FROM user_email WHERE email = :email';
                $q = $this->db_connection->prepare($sql_check);
                $q->execute(array(':email' => $this->params['user_email']));
                $count = $q->rowCount();

                if($count){
                    $this->error = lang('user_error_email-isset');
                }
            }


            if(!$this->error){
                $sql = "INSERT INTO user (role, password, name ) VALUES('user,admin',:password,'Administrator')";
                $q = $this->db_connection->prepare($sql);
                $password = hash('md5', $this->params['user_pass'] . 'MjNkMTI2MmUwODBkZTAwMzQ3N2EwYjQzOWRhODI5MTA4Z');

                $q->execute(array(':password' => $password));
                $id_user = $this->db_connection->lastInsertId();

                $sql_email = "INSERT INTO user_email (id_user, email, is_active, is_main) VALUES(:id_user, :email, 1, 1)";
                $q = $this->db_connection->prepare($sql_email);
                $q->execute(array(':id_user' => $id_user, ':email' => $this->params['user_email']));
            }

            if(!$this->error){
                header('Location: index.php?step=copy');
            }

        }



        $this->userStepView();
    }


    private function userStepView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading"><?=lang('user_title')?></h2>
        <h5 class="form-heading">
            <div class="progress">
                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 75%;"></div>
            </div>
        </h5>

        <?php if($this->error): ?>
        <p class="alert alert-error"><?=$this->error?></p>
    <?php endif; ?>

        <form class="form-horizontal" action="" method="POST">
            <div class="control-group">
                <label for="user_email" class="control-label"><?=lang('user_form_email')?></label>
                <div class="controls">
                    <input type="text" class="form-control" name="user_email" required="required" value="<?=$this->params['user_email']?>">
                </div>
            </div>
            <div class="control-group">
                <label for="user_pass" class="control-label"><?=lang('user_form_pass')?></label>
                <div class="controls">
                    <input type="password" class="form-control" name="user_pass" required="required" value="<?=$this->params['user_pass']?>">
                </div>
            </div>
            <div class="control-group">
                <label for="user_pass_repeat" class="control-label"><?=lang('user_form_repeatpass')?></label>
                <div class="controls">
                    <input type="password" class="form-control" name="user_pass_repeat" required="required" value="<?=$this->params['user_pass_repeat']?>">
                </div>
            </div>

            <div class="control-group">
                <div class="controls">
                    <button class="btn btn-success" type="submit"><?=lang('label_next')?> <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></button>
                </div>
            </div>
        </form>


        <a href="index.php?step=db" class="btn pull-left"><i class="glyphicon glyphicon-chevron-left"></i> <?=lang('label_back')?></a>
        <a href="index.php?step=copy" class="btn btn-danger pull-right"><?=lang('label_ignore')?>  <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></a>
        <div class="clearfix"></div>

        <hr/>

        <h5><?=lang('label_manual')?></h5>

        <p class="text-info"><?=lang('user_form_manual_1')?></p>

        <div class="alert alert-success">
            <div><strong><?=lang('user_form_manual_2')?>:</strong></div>
            <br>
            <div><strong><?=lang('user_form_manual_email')?></strong>: administrator@risenet-cms.pl</div>
            <div><strong><?=lang('user_form_manual_pass')?></strong>: administrator</div>
            <div><strong><?=lang('user_form_manual_admin')?></strong>: <a href="/admin">/admin</a></div>
        </div>


        <?=$this->footerView()?>
    <?php
    }


    public function checkStep()
    {
        $this->checkListOk = array();
        $this->checkListError = array();
        $this->checkList = array(
            'data/cache',
            'data/cache/pagetag',
            'data/images',
            'data/logs',
            'data/upload',
            'public/cached',
            'public/files',
        );

        foreach($this->checkList as $path){
            $fullpath = ROOT_PATH.DIRECTORY_SEPARATOR.$path;
            if(is_writable($fullpath)){ $this->checkListOk[] = $path; }
            else{ $this->checkListError[] = $path; }
        }

        if(!count($this->checkListError)){
            header('Location: index.php?step=db');
        }

        $this->checkStepView();
    }


    public function dbStep()
    {
        $this->params = array(
            'db_host' => @$_POST['db_host'],
            'db_name' => @$_POST['db_name'],
            'db_user' => @$_POST['db_user'],
            'db_pass' => @$_POST['db_pass'],
        );

        $this->db_connection = null;

        if($_SERVER['REQUEST_METHOD'] == 'POST'){
            if(!is_writable(ROOT_PATH.$this->db_file)){
                $this->error = lang('db_error_file').':<br/><code>'.$this->db_file.'</code>';
            }

            $dsn = 'mysql:dbname='.$this->params['db_name'].';host='.$this->params['db_host'];
            $user = $this->params['db_user'];
            $password = $this->params['db_pass'];

            try {
                $this->db_connection = @new PDO($dsn, $user, $password);
            } catch (PDOException $e) {
                $this->error = lang('db_error_connection');
            }

            if(!$this->error){
                $database = file_get_contents(ROOT_PATH.$this->db_file);
                $replace = array(
                    '$$MYSQL_USERNAME$$' => $this->params['db_user'],
                    '$$MYSQL_PASSWORD$$' => $this->params['db_pass'],
                    '$$MYSQL_DB_HOST$$' => $this->params['db_host'],
                    '$$MYSQL_DB_NAME$$' => $this->params['db_name'],
                );

                $database = str_replace(array_keys($replace), array_values($replace), $database);
                file_put_contents(ROOT_PATH.$this->db_file, $database);

                $this->db_sqldata = @file_get_contents(ROOT_PATH.$this->sql_file);
                if(empty($this->db_sqldata)){
                    $this->error = lang('db_error_file').':<br/><code>'.$this->sql_file.'</code>';
                }
            }

            if(!$this->error){
                try{
                    $this->db_connection->exec($this->db_sqldata);
                }catch (PDOException $e){
                    $this->error = lang('db_error_nosqlfile');
                }
            }

            if(!$this->error){
                header('Location: index.php?step=user');
            }

        }


        $this->dbView();
    }


    private function dbView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading"><?=lang('db_title')?></h2>
        <h5 class="form-heading">
            <div class="progress">
                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 40%;"></div>
            </div>
        </h5>

        <?php if($this->error): ?>
        <p class="alert alert-error"><?=$this->error?><br/><br/><?=lang('db_error_please')?></p>
    <?php endif; ?>

        <form class="form-horizontal" action="" method="POST">
            <div class="control-group">
                <label for="db_host" class="control-label"><?=lang('db_form_host')?></label>
                <div class="controls">
                    <input type="text" class="form-control" name="db_host" required="required" value="<?=$this->params['db_host']?>">
                </div>
            </div>
            <div class="control-group">
                <label for="db_name" class="control-label"><?=lang('db_form_name')?></label>
                <div class="controls">
                    <input type="text" class="form-control" name="db_name" required="required" value="<?=$this->params['db_name']?>">
                </div>
            </div>
            <div class="control-group">
                <label for="db_user" class="control-label"><?=lang('db_form_user')?></label>
                <div class="controls">
                    <input type="text" class="form-control" name="db_user" required="required" value="<?=$this->params['db_user']?>">
                </div>
            </div>
            <div class="control-group">
                <label for="db_pass" class="control-label"><?=lang('db_form_pass')?></label>
                <div class="controls">
                    <input type="password" class="form-control" name="db_pass" required="required" value="<?=$this->params['db_pass']?>">
                </div>
            </div>

            <div class="control-group">
                <div class="controls">
                    <button class="btn btn-success" type="submit"><?=lang('label_next')?> <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></button>
                </div>
            </div>
        </form>
        <a href="index.php?step=start" class="btn pull-left"><i class="glyphicon glyphicon-chevron-left"></i> <?=lang('label_back')?></a>
        <a href="index.php?step=user" class="btn btn-danger pull-right"><?=lang('label_ignore')?>  <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></a>
        <div class="clearfix"></div>

        <hr/>

        <h5><?=lang('label_manual');?></h5>

        <ol>
            <li>
                <?=lang('db_manual_1')?> <code><?=$this->db_file?></code>:
                <ul>
                    <li><code>$$MYSQL_USERNAME$$</code> - <?=lang('db_manual_1_user')?></li>
                    <li><code>$$MYSQL_PASSWORD$$</code> - <?=lang('db_manual_1_pass')?></li>
                    <li><code>$$MYSQL_DB_HOST$$</code> - <?=lang('db_manual_1_host')?></li>
                    <li><code>$$MYSQL_DB_NAME$$</code> - <?=lang('db_manual_1_name')?></li>
                </ul>
            </li>
            <li>
                <?=lang('db_manual_2')?> <code><?=$this->sql_file?></code>
            </li>
        </ol>

        <?=$this->footerView()?>
    <?php
    }



    private function startStepView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading"><?=lang('start_title')?></h2>
        <h5 class="form-heading">
            <div class="progress">
                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 10%;"></div>
            </div>
        </h5>
        <p class="text-info"><?=lang('start_text1')?></p>

        <p class="alert alert-success"><?=lang('start_licence')?></p>

        <a href="index.php?step=lang" class="btn pull-left"><i class="glyphicon glyphicon-chevron-left"></i> <?=lang('label_back')?></a>
        <a href="index.php?step=check" class="btn btn-success pull-right"><?=lang('label_next')?>  <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></a>
        <?=$this->footerView()?>
    <?php
    }


    private function checkStepView()
    {
        ?>
        <?=$this->headerView()?>
        <h2 class="form-heading"><?=lang('check_title')?></h2>
        <h5 class="form-heading">
            <div class="progress progress-striped">
                <div class="bar" style="width: 20%;"></div>
            </div>
        </h5>

        <div class="alert alert-error"><?=lang('check_no-access')?></div>

        <ul>
            <li><?=join('</li><li>', $this->checkListError)?></li>
        </ul>

        <div class="alert alert-success"><?=lang('check_text1')?></div>

        <a href="index.php?step=start" class="btn pull-left"><i class="glyphicon glyphicon-chevron-left"></i><?=lang('label_back')?></a>
        <a href="index.php?step=db" class="btn btn-danger pull-right"><?=lang('label_ignore')?>  <i class="glyphicon glyphicon-chevron-right glyphicon-white"></i></a>
        <?=$this->footerView()?>
    <?php
    }




    private function headerView()
    {
        ?>
        <!DOCTYPE html><html lang="en">
        <head>
            <title>RiseNet CMS - Darmowy system CMS</title>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" >
            <meta name="keywords" content="cms, system, zarządzania, treścią, content management system, polski cms, darmowy, elastyczny, mobilny, bez ograniczeń" >
            <meta name="description" content="RiseNet to darmowy system CMS napisany w języku PHP, zaprojektowany z myślą o wygodzie i dalszym dostosowaniu do unikalnych potrzeb." >
            <meta name="viewport" content="width=device-width, initial-scale=1.0" >
            <meta http-equiv="pragma" content="cache" >
            <meta http-equiv="Cache-Control" content="cache" >
            <meta name="copyright" content="Copyright (c) RiseNetCMS" >
            <meta name="publisher" content="RiseNet" >
            <meta name="author" content="RiseNet" >
            <link href="/assets/frontend/default/css/style.css" media="screen" rel="stylesheet" type="text/css" >


            <style type="text/css">
                body {
                    padding-top: 100px;
                    padding-bottom: 40px;
                    background-color: #f5f5f5;
                }

                .form-heading{
                    font-size: 21px;
                    text-transform: uppercase;
                    text-align: center;
                }

                .form-signin {
                    overflow: hidden;
                    max-width: 600px;
                    padding: 19px 29px 29px;
                    margin: 0 auto 20px;
                    background-color: #fff;
                    border: 1px solid #e5e5e5;
                    -webkit-border-radius: 5px;
                    -moz-border-radius: 5px;
                    border-radius: 5px;
                    -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
                    -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
                    box-shadow: 0 1px 2px rgba(0,0,0,.05);
                }

            </style>

        </head>

        <body>

        <div class="container">
        <div class="form-signin">
        <div class="text-center"><img src="/assets/frontend/default/img/logo.png"></div>

    <?php
    }


    private function footerView()
    {
        ?>
        </div>
        </div> <!-- /container -->

        <script type="text/javascript" src="/assets/lib/jquery/jquery-1.10.1.min.js"></script>
        <script type="text/javascript" src="/assets/lib/bootstrap/js/bootstrap.min.js"></script>
        </body>
        </html>
    <?php
    }



}

