-- acl privilege
CREATE TABLE IF NOT EXISTS `acl_privilege` (
  `id_acl_privilege` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_parent` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id_acl_privilege`),
  KEY `id_parent` (`id_parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE `acl_resource` ADD `id_acl_privilege` INT(10) UNSIGNED NULL DEFAULT NULL AFTER `id_acl_resource`;
ALTER TABLE `acl_resource` ADD INDEX(`id_acl_privilege`);

INSERT INTO `acl_privilege`(`id_acl_privilege`,`id_parent`, `name`) SELECT `id_acl_resource`,`id_parent`, `name` FROM `acl_resource`;

UPDATE acl_resource AS r SET r.id_acl_privilege = (SELECT p.id_acl_privilege FROM acl_privilege AS p WHERE r.name = p.name);

ALTER TABLE `acl_resource` ADD FOREIGN KEY (`id_acl_privilege`) REFERENCES `acl_privilege`(`id_acl_privilege`) ON DELETE SET NULL ON UPDATE RESTRICT;

ALTER TABLE `acl_privilege` ADD FOREIGN KEY (`id_parent`) REFERENCES `acl_privilege`(`id_acl_privilege`) ON DELETE CASCADE ON UPDATE RESTRICT;

ALTER TABLE `acl_role` ADD `id_parent` TINYINT UNSIGNED NULL AFTER `id_acl_role`, ADD INDEX (`id_parent`) ;


UPDATE `acl_role` SET `id_parent` = '1' WHERE `acl_role`.`id_acl_role` = 2;

UPDATE `acl_role` SET `id_parent` = '2' WHERE `acl_role`.`id_acl_role` = 3;
UPDATE `acl_role` SET `id_parent` = '2' WHERE `acl_role`.`id_acl_role` = 4;