CREATE TABLE IF NOT EXISTS `log_relation` (
  `id_log_relation` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `id_log` bigint(20) unsigned NOT NULL,
  `id_object` int(10) unsigned NOT NULL,
  `model` varchar(255) NOT NULL,
  PRIMARY KEY (`id_log_relation`),
  KEY `id_log` (`id_log`,`id_object`,`model`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE `log_relation`
  ADD CONSTRAINT `log_relation_ibfk_1` FOREIGN KEY (`id_log`) REFERENCES `log` (`id_log`) ON DELETE CASCADE;

-- log add index to model
ALTER TABLE `log` ADD INDEX(`model`);