<?php

class Admin_WidgetController extends Base_Controller_Action_Cms
{
	public function listAction()
    {
        Base_Layout::setLayout('Admin', 'layout_empty');
        $widgetList = Base_Widget::getWidgetList('all');
        unset($widgetList['dashboard']); // without admin dashboard widget
        $this->view->list = $widgetList;
	}

	public function listDashboardAction()
    {
        Base_Layout::setLayout('Admin', 'layout_empty');

        $widgetDashboardList = Base_Widget::widgetTypeExist('dashboard') ? Base_Widget::getWidgetList('dashboard') : array();

        $this->view->list = array();
        if(count($widgetDashboardList) > 0){
            $this->view->list = array('dashboard' => $widgetDashboardList);
        }

        $this->_helper->viewRenderer('list');
    }

    public function getAction()
    {
        $widget_name = $this->_getParam('widget');
        $namespace = $this->_getParam('namespace');
        $placeholder = $this->_getParam('placeholder');
        $belongTo = $this->hasParam('belong_to') && strlen($this->_getParam('belong_to')) > 0 ? $this->_getParam('belong_to') : 'Page_Form_Admin_Page';

        $widgetConfig = Base_Widget::getWidget($widget_name, $namespace);
        $widget = new $widgetConfig();
        $v['_BelongsTo'] = $belongTo . '[data_map][placeholders]['.$placeholder.'][widgets]['.time().']';

        echo $widget->form($v);
        exit();
    }
}
