<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Marek Skotarek
 * Date: 03.07.2013
 * Time: 22:09
 * To change this template use File | Settings | File Templates.

 */

class Auth_Form_RecoverPassword extends Base_Form_Horizontal {

    protected $_belong_to = "AuthFormRecoverPassword";

    protected $_tlabel = "auth_form_recover_password_";

    public function init()
    {
        $fields = array();

        $fields['email'] = $this->createElement('text', 'email', array(
            'label' => $this->_tlabel.'email',
            'allowEmpty' => false,
            'required' => true,
            'filters' => array('StringTrim'),
            'validators' => array(
                array('NotEmpty', true),
                array('RecordExists', true, array('model' => 'UserEmail', 'column' => 'email' )),
                array('EmailAddress', true)
            )
        ));

        $fields['submit'] = $this->createElement('submit', 'submit', array(
            'label' => $this->_tlabel.'submit',
            'class' => 'pull-right'
        ));

        $this->addDisplayGroup(
            $fields,
            'main',
            array(
                'legend' => $this->_tlabel.'group_user_info',
            )
        );

        $g = $this->getDisplayGroup('main');
        $g->removeDecorator('panel');
    }
}