<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('filemanager', new Zend_Controller_Router_Route(
	'/@admin/@filemanager/:mode',
	array(
		'module' => 'filemanager',
		'controller' => 'index',
		'action' => 'index',
		'mode' => 'list'
	),
	array(
		'mode' => '(list|get|getImage)'
	)
));

$router->addRoute('filemanager_new-catalog', new Zend_Controller_Router_Route(
	'/@admin/@filemanager/@new-catalog',
	array(
		'module' => 'filemanager',
		'controller' => 'index',
		'action' => 'new-catalog'
	)
));

$router->addRoute('filemanager_new-file', new Zend_Controller_Router_Route(
    '/@admin/@filemanager/@new-file',
    array(
        'module' => 'filemanager',
        'controller' => 'index',
        'action' => 'new-file'
    )
));

$router->addRoute('filemanager_edit-name', new Zend_Controller_Router_Route(
	'/@admin/@filemanager/@edit-name',
	array(
		'module' => 'filemanager',
		'controller' => 'index',
		'action' => 'edit-name'
	)
));



$router->addRoute('filemanager_fileInfo', new Zend_Controller_Router_Route_Static(
	'/admin/filemanager/fileInfo',
	array(
		'module' => 'filemanager',
		'controller' => 'index',
		'action' => 'file-info',
	)
));


$router->addRoute('filemanager_operation', new Zend_Controller_Router_Route(
    '/admin/filemanager/operation',
    array(
        'module' => 'filemanager',
        'controller' => 'index',
        'action' => 'operation'
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);
