<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Robert
 * Date: 18.05.13
 * Time: 10:51
 * To change this template use File | Settings | File Templates.
 */

class Navigation_Widget_Nav extends Base_Widget_Abstract{

    public $name            = 'label_navigation_widget_navigation';
    protected $_renderView  = 'navigation.phtml';

    public function getViewScriptsDir()
    {
        return __DIR__;
    }

    public function getRenderView()
    {
        return $this->_renderView;
    }

    public function renderWidget()
    {
        $id_navigation = $this->params['id_navigation'];

        $pages = array();
        $class = '';

        $this->_renderView = isset($this->params['renderView']) && !empty($this->params['renderView']) ? $this->params['renderView'] : $this->_renderView;

        /**
         * @var $navigation Navigation
         */
        $navigation = Navigation::findRecord($id_navigation);
        if($navigation){
            $pages = $navigation->getPages();
            $class = $navigation->class;
        }

        $container = new Zend_Navigation();
        $container->addPages($pages);

        $this->view->container = $container;
        $this->view->class = $class;
        $this->view->title = isset($this->params['title']) ? $this->params['title'] : '';
    }
}