<?php
/**
 * Created by JetBrains PhpStorm.
 * User: skotar
 * Date: 07.09.2013
 * Time: 16:51
 * To change this template use File | Settings | File Templates.
 */

class News_Form_Admin_Filter_NewsCategory extends Base_Form_Vertical {

    /**
     * @var bool
     */
    protected $_filter = true;

    public function init()
    {

        $this->setMethod('get');
        $this->setAction('?page=1');
        $fields = array();
        $buttons = array();

        $fields['search'] = $this->createElement('text', 'search', array(
            'label' => $this->_tlabel.'search',
        ));

        $options = array(
            '' => '',
            '0' => 'label_no',
            '1' => 'label_yes'
        );

        $fields['is_active'] = $this->createElement('select', 'is_active', array(
            'label' => $this->_tlabel.'is_active',
            'multiOptions' => $options,
        ));

        $buttons['clear'] = $this->createElement('clear', 'clear', array(
            'label' => 'cms_button_clear',
            'ignore' => true,
        ));

        $buttons['submit'] = $this->createElement('submit', 'submit', array(
            'label' => 'cms_button_search',
            'type' => 'submit',
            'ignore' => true,
            'class' => 'btn-info',
        ));
        $buttons['clear']->removeDecorator('WrapElement');
        $buttons['submit']->removeDecorator('WrapElement');

        $this->addDisplayGroup(array_merge($fields, $buttons), 'filter-search', array(
            'legend' => $this->_tlabel.'filter-search'
        ));


        $this->addHtmlTag( array( $fields['search'] ), array( 'class' => 'col-md-6' ) );
        $this->addHtmlTag( array( $fields['is_active'] ), array( 'class' => 'col-md-3' ) );
        $this->addHtmlTag($buttons, array('class' => 'col-md-3 text-right', 'style' => 'margin-top: 25px;'));
        $this->addHtmlTag(array_merge($fields, $buttons), array('class' => 'row'));
    }
}