<?php
/**
 * Created by PhpStorm.
 * User: RiseNet Robert
 * Date: 12.08.14
 * Time: 10:18
 */

class News_Sitemap implements Base_Sitemap_Interface{

    /**
     * @var array
     */
    private $_data = array();

    private $_base;

    public function __construct()
    {
        $this->_base = PROTOCOL.'://'.DOMAIN;
    }


    public function getData()
    {
        $this->_data[] = array(
            'loc' =>  $this->_base.Base::url('news')
        );

        $newsCategoryList = NewsCategory::getList();
        foreach($newsCategoryList as $newsCategory){
            $this->_data[] = array(
                'loc' => $this->_base.Base::url('news-category', array(
                        'id_news_category' => $newsCategory['id_news_category'],
                    ))
            );
        }

        $newsList = News::getList();
        foreach($newsList as $news){
            $this->_data[] = array(
                'loc' => $this->_base.Base::url('news_show', array(
                        'id_news' => $news['id_news'],
                    ))
            );
        }


        return $this->_data;
    }



} 