<?php
/**
 * Created by PhpStorm.
 * User: Dawid Przygodzki
 * Date: 2015-02-24
 * Time: 16:23
 */

$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute( 'news-category_admin', new Zend_Controller_Router_Route(
    '/@admin/@news-category',
    array(
        'module' => 'news',
        'controller' => 'admin-category',
        'action' => 'index'
    )
) );

$router->addRoute( 'news-category_admin_get-item', new Zend_Controller_Router_Route(
    '/@admin/@news-category/@get-item',
    array(
        'module' => 'news',
        'controller' => 'admin-category',
        'action' => 'index',
        'mode' => 'get'
    )
));

$router->addRoute( 'news-category_admin_new', new Zend_Controller_Router_Route(
    '/@admin/@news-category/@new',
    array(
        'module' => 'news',
        'controller' => 'admin-category',
        'action' => 'new'
    )
) );

$router->addRoute( 'news-category_admin_edit', new Zend_Controller_Router_Route(
    '/@admin/@news-category/@edit/:id',
    array(
        'module' => 'news',
        'controller' => 'admin-category',
        'action' => 'edit'
    ),
    array(
        'id' => '\d+'
    )
) );

$router->addRoute( 'news-category_admin_delete', new Zend_Controller_Router_Route(
    '/@admin/@news-category/@delete/:id',
    array(
        'module' => 'news',
        'controller' => 'admin-category',
        'action' => 'delete'
    ),
    array(
        'id' => '\d+'
    )
) );

Zend_Controller_Front::getInstance()->setRouter($router);