<?php
/**
 * Created by JetBrains PhpStorm.
 * User: skotar
 * Date: 16.08.2013
 * Time: 00:33
 * To change this template use File | Settings | File Templates.
 */

$router = Zend_Controller_Front::getInstance()->getRouter();


$router->addRoute( 'news_admin', new Zend_Controller_Router_Route(
    '/@admin/@news/',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'index',
    )
) );

$router->addRoute( 'news_admin_get-item', new Zend_Controller_Router_Route(
    '/@admin/@news/@get-item',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'index',
        'mode' => 'get'
    )
) );

$router->addRoute('news_admin_get-home-page', new Zend_Controller_Router_Route(
    '/@admin/@news/@get-home-page',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'get-home-page',
    )
));


$router->addRoute( 'news_admin_new', new Zend_Controller_Router_Route(
    '/@admin/@news/@new',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'new'
    )
) );

$router->addRoute( 'news_admin_edit', new Zend_Controller_Router_Route(
    '/@admin/@news/@edit/:id',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'edit'
    ),
    array(
        'id' => '\d+'
    )
) );

$router->addRoute( 'news_admin_delete', new Zend_Controller_Router_Route(
    '/@admin/@news/@delete/:id',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'delete'
    ),
    array(
        'id' => '\d+'
    )
) );

$router->addRoute('news_admin_logs', new Zend_Controller_Router_Route(
    '/@admin/@news/@logs/:id_news',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'logs'
    ),
    array(
        'id_news' => '\d+'
    )
));

$router->addRoute( 'news_admin_save-query', new Zend_Controller_Router_Route(
    '/@admin/@news/@save-query',
    array(
        'module' => 'news',
        'controller' => 'admin',
        'action' => 'save-query',
    )
) );

Zend_Controller_Front::getInstance()->setRouter($router);
