<?php
/**
 * Created by PhpStorm.
 * User: skotar
 * Date: 08.08.2014
 * Time: 11:51
 */

class Page_Widget_FacebookBox extends Base_Widget_Abstract
{
    public $name = 'label_page_widget_facebook';

    protected $_renderView = 'facebook-box.phtml';

    public function getViewScriptsDir()
    {
        return __DIR__;
    }

    public function getRenderView()
    {
        return $this->_renderView;
    }

    public function configureForm()
    {
        $fields = array();

        $fields['title'] = $this->view->form->createElement('text', 'title', array(
            'label' => 'form-label_facebook-box_widget_title',
            'filters' => array('StringTrim')
        ));

        $fields['fbAddress'] = $this->view->form->createElement('text', 'fbAddress', array(
            'label' => 'form-label_facebook-box_widget_fbAddress',
            'filters' => array('StringTrim')
        ));

        $fields['renderView'] = $this->view->form->createElement('text', 'renderView', array(
            'label' => 'form-label_facebook-box_widget_renderView',
            'filters' => array('StringTrim')
        ));
    }

    public function renderWidget()
    {
        $this->_renderView = isset( $this->params['renderView'] ) ? $this->params['renderView'] : $this->_renderView;
        $this->view->title = isset( $this->params['title'] ) ? $this->params['title'] : $this->view->translate('Facebook');
        $this->view->fbAddress = isset($this->params['fbAddress']) ? $this->params['fbAddress'] :  'https://www.facebook.com/pages/Risenet-CMS/211773648989415';
    }
} 