<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Robert
 * Date: 18.05.13
 * Time: 10:51
 * To change this template use File | Settings | File Templates.
 */

class Page_Widget_Wysiwyg extends Base_Widget_Abstract{

    public $name = 'label_page_widget_wysiwyg';

    public function getViewScriptsDir()
    {
        return __DIR__;
    }


    public function configureForm()
    {
        $fields = array();

        $fields['html'] = $this->view->form->createElement('wysiwyg', 'html', array(
            'filters' => array('StringTrim'),
        ));

        $fields['html']->removeDecorator('HtmlTag');
        $fields['html']->removeDecorator('Label');
        $fields['html']->removeDecorator('Wrapper');

        $this->view->form->addElements($fields);
    }

    public function getRenderView()
    {
        return 'wysiwig.phtml';
    }




}