<?php
/**
 * Created by PhpStorm.
 * User: RiseNet Robert
 * Date: 12.08.14
 * Time: 10:18
 */

class TextPage_Sitemap implements Base_Sitemap_Interface{

    /**
     * @var array
     */
    private $_data = array();

    private $_base;

    public function __construct()
    {
        $this->_base = PROTOCOL.'://'.DOMAIN;
    }


    public function getData()
    {
        $textPageList = TextPage::getList();
        foreach($textPageList as $textPage){
            if(empty($textPage['uri'])){
                $this->_data[] = array(
                    'loc' => $this->_base.Base::url('text-page', array(
                            'id_text_page' => $textPage['id_text_page'],
                        ))
                );
            }else{
                $this->_data[] = array(
                    'loc' => $this->_base.Base::url('text-page_'.$textPage['uri'])
                );
            }
        }


        return $this->_data;
    }



} 