<?php
$router = Zend_Controller_Front::getInstance()->getRouter();

$router->addRoute('text-page_admin', new Zend_Controller_Router_Route(
    '/@admin/@text-page/:id_text_page',
    array(
        'module' => 'text-page',
        'controller' => 'admin',
        'action' => 'index',
        'id_text_page' => false,
    ),
    array(
        'id_text_page' => '\d+'
    )
));

$router->addRoute('text-page_admin_get-item', new Zend_Controller_Router_Route(
    '/@admin/@text-page/@get-item/:id_text_page',
    array(
        'module' => 'text-page',
        'controller' => 'admin',
        'action' => 'index',
        'id_text_page' => false,
        'mode' => 'get'
    ),
    array(
        'id_text_page' => '\d+'
    )
));


$router->addRoute('text-page_admin_new', new Zend_Controller_Router_Route(
    '/@admin/@text-page/@new/:id_text_page',
    array(
        'module' => 'text-page',
        'controller' => 'admin',
        'action' => 'new',
        'id_text_page' => false
    ),
    array(
        'id_text_page' => '\d+'
    )
));

$router->addRoute('text-page_admin_edit', new Zend_Controller_Router_Route(
    '/@admin/@text-page/@edit/:id_text_page',
    array(
        'module' => 'text-page',
        'controller' => 'admin',
        'action' => 'edit',
    ),
    array(
        'id_text_page' => '\d+'
    )
));

$router->addRoute('text-page_admin_delete', new Zend_Controller_Router_Route(
    '/@admin/@text-page/@delete/:id_text_page',
    array(
        'module' => 'text-page',
        'controller' => 'admin',
        'action' => 'delete',
    ),
    array(
        'id_text_page' => '\d+'
    )
));

Zend_Controller_Front::getInstance()->setRouter($router);


