<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Robert
 * Date: 18.05.13
 * Time: 10:51
 * To change this template use File | Settings | File Templates.
 */

class TextPage_Widget_PageTitleList extends Base_Widget_Abstract
{
    public $name = 'label_text_page_widget_page_title_list';

    public function getViewScriptsDir()
    {
        return __DIR__;
    }

    public function getRenderView()
    {
        return 'page-title-list.phtml';
    }

    public function renderWidget()
    {
        $this->view->textPageList = Doctrine_Query::create()
            ->from('TextPage tp')
            ->innerJoin('tp.Translations t')
            ->where('t.id_language = ?', Base_I18n::getLangId())
            ->execute();
    }
}