TRUNCATE `user_dashboard`;
ALTER TABLE `user_dashboard` ADD `id_layout` SMALLINT(5) UNSIGNED NOT NULL AFTER `id_user`;
ALTER TABLE `user_dashboard` ADD INDEX(`id_layout`);

ALTER TABLE `user_dashboard` ADD CONSTRAINT `user_dashboard_ibfk_2` FOREIGN KEY (`id_layout`) REFERENCES `layout`(`id_layout`) ON DELETE CASCADE ON UPDATE RESTRICT;

UPDATE `layout` SET `name` = '',`module` = 'User',`filename` = 'dashboard-twice',`placeholders` = '{"left":[],"right":[]}',`is_edit` = 0,`is_dashboard` = 1,`is_main` = 0 WHERE `layout`.`filename` = 'layout-dashboard-twice';
UPDATE `layout` SET `name` = '',`module` = 'User',`filename` = 'dashboard-main',`placeholders` = '{"left":{"widgets":[{"_class":"Admin_Widget_CmsDashboard_NavBox"}]},"right":{"widgets":[{"_class":"Admin_Widget_CmsDashboard_FacebookBox"}]},"left1":{"widgets":[{"_class":"Admin_Widget_CmsDashboard_SimplyChart"}]},"right1":{"widgets":[{"_class":"User_Widget_CmsDashboard_StatsUsers"}]},"left2":{"widgets":[{"_class":"User_Widget_CmsDashboard_LastActions"}]},"right2":{"widgets":[{"_class":"User_Widget_CmsDashboard_NewUsers"}]},"bottom":[]}',`is_edit` = 0,`is_dashboard` = 1,`is_main` = 1 WHERE `layout`.`filename` = 'layout-dashboard-main';
UPDATE `layout` SET `name` = '',`module` = 'User',`filename` = 'dashboard-diff',`placeholders` = '{"top1":[],"top2":[],"top3":[],"top4":[],"left":[],"right":[],"bottom":[]}',`is_edit` = 0,`is_dashboard` = 1,`is_main` = 0 WHERE `layout`.`filename` = 'layout-dashboard-diff';
