<?php

class User_Form_Element_UserEmails extends Zend_Form_Element_Radio
{

    /**
     * Use formRadio view helper by default
     * @var string
     */
    public $helper = 'formRadioEmails';


    /**
     * Adds a file decorator if no one found
     */
    public function loadDefaultDecorators()
    {
        $this->clearDecorators();

        $this->setDecorators(array(
            array('ViewHelper'),
            array('ElementErrors'),
            array('Description', array('tag' => 'span', 'class' => 'help-block')),
            array('FieldSize'),
            array('Label', array('class' => 'control-label')),
            array('WrapElement')
        ));

        return $this;
    }

}