<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Robert
 * Date: 17.06.2014
 * Time: 16:34
 * To change this template use File | Settings | File Templates.
 */

class User_Widget_CmsDashboard_NewUsers extends Base_Widget_Abstract
{
    public $name = 'label_user_widget_cms_dashboard_new_users';

    public function getViewScriptsDir()
    {
        return dirname(__DIR__);
    }

    public function getRenderView()
    {
        return 'cms-dashboard/new-users.phtml';
    }

    public function renderWidget()
    {
        $this->view->lastUsers = Doctrine_Query::create()
            ->from('User u')
            ->leftJoin('u.Emails e')
            ->where('u.archived_at IS NULL')
            ->limit(6)
            ->orderBy('u.created_at DESC')
            ->execute();
    }
}