<?php
class Base_Auth extends Zend_Auth
{
    
    const SALT = 'MjNkMTI2MmUwODBkZTAwMzQ3N2EwYjQzOWRhODI5MTA4Z';

    const MAIN_ROLE = 'guest';

	/**
	 * @static
	 * @param null $column
	 * @return mixed
	 */
    public static function getUser($column = null)
    {
        $auth = Zend_Auth::getInstance();
        if ($auth->hasIdentity()) {
            if (!empty($column)) {
                $tmp = Zend_Auth::getInstance()->getStorage()->read();
                if(isset($tmp->{$column}))return $tmp->{$column};
            } else {
                return Zend_Auth::getInstance()->getStorage()->read();
            }
        }
        
        return null;
    }


    /**
     * @return int
     */
    public static function getUserId()
    {
        return self::getUser('id_user');
    }


    public static function getUserRoles($roles = null)
    {
        if($roles == null){
            $roles = self::getUser('role');
        }

        $user_roles = array(self::MAIN_ROLE);
        $user_roles = array_unique(array_filter(array_merge($user_roles, explode(',', $roles))));

        return $user_roles;
    }

    /**
     * @return boolean
     */
    public static function isIdentity()
    {
        return Zend_Auth::getInstance()->hasIdentity();
    }
    
    
	/**
	 * Returns hash for plain text password
	 *
	 * @static
	 * @param $pass
	 * @return string
	 */
	public static function hashPassword($pass)
	{
		return hash('md5', $pass . self::SALT);
	}    
    
    
}
