<?php

class Base_Controller_Plugin_Acl extends Zend_Controller_Plugin_Abstract
{

    public function dispatchLoopStartup(Zend_Controller_Request_Abstract $request)
    {
        Base_Acl::getInstance();
    }

    public function preDispatch(Zend_Controller_Request_Abstract $request)
    {
        $resource = $request->getModuleName() . '_' . $request->getControllerName() . '_' . $request->getActionName();
        $acl = Base_Acl::getInstance();

        $is_allow = $acl->hasAccess($resource);
        Zend_View_Helper_Navigation_HelperAbstract::setDefaultRole($acl->getMyRole());

        if ($is_allow === false) {
            $request->setModuleName('auth');
            $request->setControllerName('index');
            $request->setActionName('index');
        }

    }

}
