<?php

class Base_Form_Decorator_FieldSize extends Zend_Form_Decorator_Abstract
{
    /**
     * @param string $content
     * @return mixed
     */
    public function render($content)
    {
        $class = $this->getOption('class');
        if(empty($class))
        {
            $element = $this->getElement();

            $offset = (int) $element->getAttrib('offset');
            if(is_null($element->getAttrib('offset')) && $element->helper == 'formSubmit'){
                $offset = 2;
            }

            $size = $element->getAttrib('size');
            if(empty($size)){ $size = 10; }

            $class = 'col-md-'.$size.($offset ? ' col-md-offset-'.$offset : '');
        }

        return '<div class="'.$class.'">'.$content.'</div>';
    }
}
