<?php

class Base_Form_DisplayGroup extends Zend_Form_DisplayGroup
{
    /**
     * Override the default decorators
     *
     * @return Base_Form_DisplayGroup
     */
    public function loadDefaultDecorators()
    {
        if ($this->loadDefaultDecoratorsIsDisabled()) {
            return $this;
        }

        $decorators = $this->getDecorators();
        if (empty($decorators)) {
            $boxClass = $this->getAttrib('class');
            $this->clearDecorators();

            $this->addDecorator('FormElements')
                ->addDecorator(array('body' => 'HtmlTag'), array('tag' => 'div', 'class' => 'panel-body'))
                ->addDecorator('Panel')
                ->addDecorator(array('box' => 'HtmlTag'), array('tag' => 'div', 'class' => 'panel '.$boxClass))
            ;
        }

        return $this;
    }

}
