<?php

class Base_Form_Horizontal extends Base_Form
{

    public function __construct($options = null)
    {
        $this->_initializePrefixes();

        $this->setDisposition(self::DISPOSITION_HORIZONTAL);

        $this->setElementDecorators(array(
            array('ViewHelper'),
            array('InputGroup', array('class' => 'input-group')),
            array('ElementErrors'),
            array('Description', array('tag' => 'span', 'class' => 'help-block')),
            array('FieldSize'),
            array('Label', array('class' => 'control-label')),
            array('WrapElement')
        ));

        parent::__construct($options);
    }

}
