$(document).ready(function(){

	$('a#select_all_files').click( function(){
		$('input:checkbox[id*=file]').iCheck('check').attr('checked','checked');
        markSelected();
        return false;
	});

	$('a#deselect_all_files').click( function(){
        $('input:checkbox[id*=file]').iCheck('uncheck').removeAttr('checked');
        markSelected();
        return false;
	});

	$('input:checkbox[id*=file]').click(function(){
        markSelected();
    });

    $('input').on('ifChanged', function(event){
        markSelected();
    });

	$('input:checkbox[id*=file]').on(function(){
        markSelected();
    });

    $(".file_container").dblclick(function(){
        isShereItemPoint = $(this).find('.getShereItemPoint');
        if(isShereItemPoint){
            function getFileElement(self){};
        }

        var url = $(this).children('.file_name').children('a').attr('href');
        window.location = url;
	});

	$('div.file_container').click(function(){
		var checkbox = $(this).find('input:checkbox[id*=file]');
		if( checkbox.attr('checked') ){
			checkbox.removeAttr('checked');
		}else{
			checkbox.attr('checked','checked');
		}
		markSelected();
	});

    $('.context').contextmenu({
        before: function(e,element) {
            $('.context-menu').hide();
            return true;
        }
    });

	markSelected();
    activeToolTipShow();
});

/* ------------ UNIVERSAL TOOLTIP ------------------- */
function activeToolTipShow(){
    $('.toolTipShow').mouseover( function(){
        $('#'+$(this).attr('showToolTip')).css('visibility', 'visible');
    });

    $('.toolTipShow').mouseout( function(){
        $('#'+$(this).attr('showToolTip')).css('visibility', 'hidden');
    });
}

/* ------------ ACTION FILEMANAGER ------------------- */
var form = $('#filemanager-form');
var inputHidden = $('#selectedOption');

$('a.selectedOption').click(function() {
    var option = $(this).data('option');
    inputHidden.val(option);
    form.submit();
    return false;
});

function markSelected(){
	$('div.file_container input:checkbox[id*=file]').hide();
	var countChecked = 0;
	$('input:checkbox[id*=file]').each(function(){
		if( $(this).attr('checked') || $(this).is(':checked')){
            $(this).closest('.context').addClass('selectedFile');
			countChecked = countChecked + 1;
		}else{
            $(this).closest('.context').removeClass('selectedFile');
		}
	});

	if( countChecked>0 ){
		$('a.deleteSelected').removeAttr('disabled');
		$('a.deleteSelected').removeClass('optionButtonDisabled');
		$('a.copySelected').removeAttr('disabled');
		$('a.copySelected').removeClass('optionButtonDisabled');
		$('a.cutSelected').removeAttr('disabled');
		$('a.cutSelected').removeClass('optionButtonDisabled');
	}else{
		$('a.deleteSelected').attr('disabled','disabled');
		$('a.deleteSelected').addClass('optionButtonDisabled');
		$('a.copySelected').attr('disabled','disabled');
		$('a.copySelected').addClass('optionButtonDisabled');
		$('a.cutSelected').attr('disabled','disabled');
		$('a.cutSelected').addClass('optionButtonDisabled');
	}
}